<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_SocialSecurityContributions" xlink:label="vist_SocialSecurityContributions" />
    <labelArc xlink:type="arc" xlink:from="vist_SocialSecurityContributions" xlink:to="label_vist_vistSocialSecurityContributions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_vist_vistSocialSecurityContributions_Standard" id="vist_vistSocialSecurityContributions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Social security contributions</label>
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_DeferredTaxOnShareBasedPayments" xlink:label="vist_DeferredTaxOnShareBasedPayments" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_LTIPSharesExercised" xlink:label="vist_LTIPSharesExercised" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_OperatingProfitForTheYear" xlink:label="vist_OperatingProfitForTheYear" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_ExceptionalItemsInStatementOfProfitOrLoss" xlink:label="vist_ExceptionalItemsInStatementOfProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_OperatingCashInflowBeforeExceptionalCashFlowsAndMovementsInWorkingCapital" xlink:label="vist_OperatingCashInflowBeforeExceptionalCashFlowsAndMovementsInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_ExceptionalCashFlowsRelatingToRestructuringIntegration" xlink:label="vist_ExceptionalCashFlowsRelatingToRestructuringIntegration" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_ExceptionalCashOutflowRelatingToBuildingSafety" xlink:label="vist_ExceptionalCashOutflowRelatingToBuildingSafety" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_ExceptionalCashInflowRelatingToBuildingSafetyRecoveries" xlink:label="vist_ExceptionalCashInflowRelatingToBuildingSafetyRecoveries" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_ExceptionalCashOutflows" xlink:label="vist_ExceptionalCashOutflows" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_DefinedBenefitPensionContributions" xlink:label="vist_DefinedBenefitPensionContributions" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_MovementsInWorkingCapital" xlink:label="vist_MovementsInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_InterestReceivedOnLoansToJointVentures" xlink:label="vist_InterestReceivedOnLoansToJointVentures" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_LeaseInterestPayments" xlink:label="vist_LeaseInterestPayments" />
    <labelArc xlink:type="arc" xlink:from="vist_DeferredTaxOnShareBasedPayments" xlink:to="label_vist_vistDeferredTaxOnShareBasedPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_LTIPSharesExercised" xlink:to="label_vist_vistLTIPSharesExercised_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_OperatingProfitForTheYear" xlink:to="label_vist_vistOperatingProfitForTheYear_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_ExceptionalItemsInStatementOfProfitOrLoss" xlink:to="label_vist_vistExceptionalItemsInStatementOfProfitOrLoss_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_OperatingCashInflowBeforeExceptionalCashFlowsAndMovementsInWorkingCapital" xlink:to="label_vist_vistOperatingCashInflowBeforeExceptionalCashFlowsAndMovementsInWorkingCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_ExceptionalCashFlowsRelatingToRestructuringIntegration" xlink:to="label_vist_vistExceptionalCashFlowsRelatingToRestructuringIntegration_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_ExceptionalCashOutflowRelatingToBuildingSafety" xlink:to="label_vist_vistExceptionalCashOutflowRelatingToBuildingSafety_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_ExceptionalCashInflowRelatingToBuildingSafetyRecoveries" xlink:to="label_vist_vistExceptionalCashInflowRelatingToBuildingSafetyRecoveries_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_ExceptionalCashOutflows" xlink:to="label_vist_vistExceptionalCashOutflows_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_DefinedBenefitPensionContributions" xlink:to="label_vist_vistDefinedBenefitPensionContributions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_MovementsInWorkingCapital" xlink:to="label_vist_vistMovementsInWorkingCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_InterestReceivedOnLoansToJointVentures" xlink:to="label_vist_vistInterestReceivedOnLoansToJointVentures_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_LeaseInterestPayments" xlink:to="label_vist_vistLeaseInterestPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_vist_vistDeferredTaxOnShareBasedPayments_Standard" id="vist_vistDeferredTaxOnShareBasedPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred tax on share-based payments</label>
    <label xlink:label="label_vist_vistLTIPSharesExercised_Standard" id="vist_vistLTIPSharesExercised_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">LTIP shares exercised</label>
    <label xlink:label="label_vist_vistOperatingProfitForTheYear_Standard" id="vist_vistOperatingProfitForTheYear_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating profit for the year</label>
    <label xlink:label="label_vist_vistExceptionalItemsInStatementOfProfitOrLoss_Standard" id="vist_vistExceptionalItemsInStatementOfProfitOrLoss_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional items in statement of profit or loss</label>
    <label xlink:label="label_vist_vistOperatingCashInflowBeforeExceptionalCashFlowsAndMovementsInWorkingCapital_Standard" id="vist_vistOperatingCashInflowBeforeExceptionalCashFlowsAndMovementsInWorkingCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating cash inflow before exceptional cash flows and movements in working capital</label>
    <label xlink:label="label_vist_vistExceptionalCashFlowsRelatingToRestructuringIntegration_Standard" id="vist_vistExceptionalCashFlowsRelatingToRestructuringIntegration_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional cash flows relating to restructuring, integration</label>
    <label xlink:label="label_vist_vistExceptionalCashOutflowRelatingToBuildingSafety_Standard" id="vist_vistExceptionalCashOutflowRelatingToBuildingSafety_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional cash outflow relating to building safety</label>
    <label xlink:label="label_vist_vistExceptionalCashInflowRelatingToBuildingSafetyRecoveries_Standard" id="vist_vistExceptionalCashInflowRelatingToBuildingSafetyRecoveries_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional cash inflow relating to building safety recoveries</label>
    <label xlink:label="label_vist_vistExceptionalCashOutflows_Standard" id="vist_vistExceptionalCashOutflows_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional cash outflows</label>
    <label xlink:label="label_vist_vistDefinedBenefitPensionContributions_Standard" id="vist_vistDefinedBenefitPensionContributions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Defined benefit pension contributions</label>
    <label xlink:label="label_vist_vistMovementsInWorkingCapital_Standard" id="vist_vistMovementsInWorkingCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Movements in working capital</label>
    <label xlink:label="label_vist_vistInterestReceivedOnLoansToJointVentures_Standard" id="vist_vistInterestReceivedOnLoansToJointVentures_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest received on loans to joint ventures</label>
    <label xlink:label="label_vist_vistLeaseInterestPayments_Standard" id="vist_vistLeaseInterestPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Lease interest payments</label>
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_AdjustedRevenue" xlink:label="vist_AdjustedRevenue" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_AdjustedOperatingProfit" xlink:label="vist_AdjustedOperatingProfit" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_NetFinanceExpense" xlink:label="vist_NetFinanceExpense" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_AdjustedNetFinanceExpense" xlink:label="vist_AdjustedNetFinanceExpense" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_AdjustedProfitBeforeTax" xlink:label="vist_AdjustedProfitBeforeTax" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_AdjustedIncomeTaxExpense" xlink:label="vist_AdjustedIncomeTaxExpense" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_AdjustedProfitForTheYear" xlink:label="vist_AdjustedProfitForTheYear" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_AdjustedBasicEarningsPerShare" xlink:label="vist_AdjustedBasicEarningsPerShare" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_AdjustedBasicEarningsperShare" xlink:label="vist_AdjustedBasicEarningsperShare" />
    <loc xlink:type="locator" xlink:href="vist-2024-12-31.xsd#vist_NetAssets" xlink:label="vist_NetAssets" />
    <labelArc xlink:type="arc" xlink:from="vist_AdjustedRevenue" xlink:to="label_vist_vistAdjustedRevenue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_AdjustedOperatingProfit" xlink:to="label_vist_vistAdjustedOperatingProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_NetFinanceExpense" xlink:to="label_vist_vistNetFinanceExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_AdjustedNetFinanceExpense" xlink:to="label_vist_vistAdjustedNetFinanceExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_AdjustedProfitBeforeTax" xlink:to="label_vist_vistAdjustedProfitBeforeTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_AdjustedIncomeTaxExpense" xlink:to="label_vist_vistAdjustedIncomeTaxExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_AdjustedProfitForTheYear" xlink:to="label_vist_vistAdjustedProfitForTheYear_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_AdjustedBasicEarningsPerShare" xlink:to="label_vist_vistAdjustedBasicEarningsPerShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_AdjustedBasicEarningsperShare" xlink:to="label_vist_vistAdjustedBasicEarningsperShare_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="vist_NetAssets" xlink:to="label_vist_vistNetAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_vist_vistAdjustedRevenue_Standard" id="vist_vistAdjustedRevenue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted Revenue</label>
    <label xlink:label="label_vist_vistAdjustedOperatingProfit_Standard" id="vist_vistAdjustedOperatingProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating profit</label>
    <label xlink:label="label_vist_vistNetFinanceExpense_Standard" id="vist_vistNetFinanceExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net finance expense</label>
    <label xlink:label="label_vist_vistAdjustedNetFinanceExpense_Standard" id="vist_vistAdjustedNetFinanceExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted Net finance expense</label>
    <label xlink:label="label_vist_vistAdjustedProfitBeforeTax_Standard" id="vist_vistAdjustedProfitBeforeTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit before tax</label>
    <label xlink:label="label_vist_vistAdjustedIncomeTaxExpense_Standard" id="vist_vistAdjustedIncomeTaxExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Income tax expense</label>
    <label xlink:label="label_vist_vistAdjustedProfitForTheYear_Standard" id="vist_vistAdjustedProfitForTheYear_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit for the year</label>
    <label xlink:label="label_vist_vistAdjustedBasicEarningsPerShare_Standard" id="vist_vistAdjustedBasicEarningsPerShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted basic</label>
    <label xlink:label="label_vist_vistAdjustedBasicEarningsperShare_Standard" id="vist_vistAdjustedBasicEarningsperShare_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjusted basic</label>
    <label xlink:label="label_vist_vistNetAssets_Standard" id="vist_vistNetAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net assets</label>
  </labelLink>
</linkbase>